# Local transport on illumos
jobs:
  - type: sink
    recv:
      properties:
        override: {
	  "atime": "off"
	}
      placeholder:
        encryption: inherit
    name: "local_sink"
    root_fs: "dpool/sink"
    serve:
      type: local
      listener_name: localsink

  - type: push
    name: "backup_system"
    connect:
      type: local
      listener_name: localsink
      client_identity: local_backup
    filesystems: {
      "dpool/origin": true,
    }
    snapshotting:
      type: periodic
      interval: 10m
      prefix: zrepl_
    pruning:
      keep_sender:
      - type: not_replicated
      - type: last_n
        count: 10
      keep_receiver:
      - type: grid
        grid: 1x1h(keep=all) | 24x1h | 35x1d | 6x30d
        regex: "zrepl_.*"
